# Uses of Class
com.logicaldoc.core.searchengine.Hit

Packages that use Hit
Package
Description
com.logicaldoc.core.automation
Automation subsystem that allows you to program your own logic inside the platform.
The automation engine can be accessed through the class `Automation`
Please note the special annotation `AutomationDictionary` that is used to automatically put in the Dictionary whatever bean you need.
com.logicaldoc.core.searchengine
The core of the search engine.
com.logicaldoc.core.searchengine.folder

## Uses of Hit in com.logicaldoc.core.automation

Methods in com.logicaldoc.core.automation that return types with arguments of type Hit
Modifier and Type
Method
Description
`List<Hit>`
SearchTool.`search(long tenantId, String expression, String expressionLanguage)`
Executes a search directly in the full-text index
`List<Hit>`
SearchTool.`search(long tenantId, String expression, Set<String> filters, String expressionLanguage)`
Executes a search directly in the full-text index
`List<Hit>`
SearchTool.`search(SearchOptions options)`
Instantiates a new `Search`

## Uses of Hit in com.logicaldoc.core.searchengine

Methods in com.logicaldoc.core.searchengine that return Hit
Modifier and Type
Method
Description
`Hit`
SearchEngine.`getHit(long id)`
`Hit`
StandardSearchEngine.`getHit(long id)`
`Hit`
Search.HitMapper.`mapRow(ResultSet rs, int rowNum)`
`Hit`
TagSearch.HitMapper.`mapRow(ResultSet rs, int rowNum)`
`Hit`
Hits.`next()`
`static Hit`
Hits.`toHit(org.apache.solr.common.SolrDocument sdoc)`
Methods in com.logicaldoc.core.searchengine that return types with arguments of type Hit
Modifier and Type
Method
Description
`List<Hit>`
Search.`getHits()`
`final List<Hit>`
Search.`search()`
Perform the search
Methods in com.logicaldoc.core.searchengine with parameters of type Hit
Modifier and Type
Method
Description
`int`
Hit.`compareTo(Hit other)`
Constructor parameters in com.logicaldoc.core.searchengine with type arguments of type Hit
Modifier
Constructor
Description
``
`HitMapper(Map<Long,Hit> hitsMap)`

## Uses of Hit in com.logicaldoc.core.searchengine.folder

Methods in com.logicaldoc.core.searchengine.folder that return Hit
Modifier and Type
Method
Description
`Hit`
FolderSearch.HitMapper.`mapRow(ResultSet rs, int rowNum)`